Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.workflow
Class BoTFactory

    java.lang.Object
      lbg.peer.workflow.BoTFactory

    public class BoTFactory

extends java.lang.Object

Note: methods are not static because a BoTFactory may be instanciated multiple times within the same VM, e.g. inside the LBG Simulator.

Author:
  Cyril Briquet

Constructor Summary
`BoTFactory(boolean enable_ttg)` Creates a new BoTFactory.

Method Summary
`BoT` | `createBoT(java.lang.String consumer_peer_id, int job_id, JobDescriptor jd, boolean is_supplying_task)` Creates a Bag of Tasks from given JobDescriptor.
`BoT` | `createBoT(java.lang.String consumer_peer_id, int job_id, Task[] tasks, boolean is_supplying_task)` Creates a Bag of Tasks from given Tasks array.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BoTFactory

    public BoTFactory(boolean enable_ttg)
               throws GridException

  Creates a new BoTFactory.

  Parameters:
    `enable_ttg` - true to enable TemporalTasksGrouping
  Throws:
    `GridException` - if a parameter is illegal

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createBoT

    public BoT createBoT(java.lang.String consumer_peer_id,
                         int job_id,
                         JobDescriptor jd,
                         boolean is_supplying_task)
                  throws GridException

  Creates a Bag of Tasks from given JobDescriptor.

  Throws:
    `GridException`

### createBoT

    public BoT createBoT(java.lang.String consumer_peer_id,
                         int job_id,
                         Task[] tasks,
                         boolean is_supplying_task)
                  throws GridException

  Creates a Bag of Tasks from given Tasks array. Mostly useful for either wrapping a Supplying Task (both Live and Simulated), or a subset of Tasks stored in a JobDescriptor if the BoT is part of a Workflow.

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.